FreeBSD:php5 -- 複数の脆弱性(cdff0af2-1492-11e5-a1cf-002590263bf5)

critical Nessus プラグイン ID 84326
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート FreeBSD ホストに 1 つ以上のセキュリティ関連の更新が見つかりません。

説明

PHP プロジェクトによる報告:

DOM および GD:

- バグ #69719 (NULL が含まれているパスの不適切な処理)を修正しました。

FTP:

- バグ #69545 (ヒープオーバーフローを引き起こす ftp_genlist() での整数オーバーフロー)の修正を改善しました。(CVE-2015-4643)

Postgres:

- バグ #69667 (php_pgsql_meta_data のセグメンテーション違反)を修正しました。(CVE-2015-4644)

ソリューション

影響を受けるパッケージを更新してください。

関連情報

http://www.php.net/ChangeLog-5.php#5.4.42

http://www.php.net/ChangeLog-5.php#5.5.26

http://www.php.net/ChangeLog-5.php#5.6.10

https://www.openwall.com/lists/oss-security/2015/06/18/3

http://www.nessus.org/u?0a8cf05d

プラグインの詳細

深刻度: Critical

ID: 84326

ファイル名: freebsd_pkg_cdff0af2149211e5a1cf002590263bf5.nasl

バージョン: 2.10

タイプ: local

公開日: 2015/6/23

更新日: 2021/1/6

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: High

Base Score: 7.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3

リスクファクター: Critical

Base Score: 9.8

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

脆弱性情報

CPE: p-cpe:/a:freebsd:freebsd:php5-dom, p-cpe:/a:freebsd:freebsd:php5-ftp, p-cpe:/a:freebsd:freebsd:php5-gd, p-cpe:/a:freebsd:freebsd:php5-pgsql, p-cpe:/a:freebsd:freebsd:php55-dom, p-cpe:/a:freebsd:freebsd:php55-ftp, p-cpe:/a:freebsd:freebsd:php55-gd, p-cpe:/a:freebsd:freebsd:php55-pgsql, p-cpe:/a:freebsd:freebsd:php56-dom, p-cpe:/a:freebsd:freebsd:php56-ftp, p-cpe:/a:freebsd:freebsd:php56-gd, p-cpe:/a:freebsd:freebsd:php56-psql, cpe:/o:freebsd:freebsd

必要な KB アイテム: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

パッチ公開日: 2015/6/23

脆弱性公開日: 2015/6/11

参照情報

CVE: CVE-2015-4643, CVE-2015-4644